# $Revision: 1.18 $, $Date: 2010/08/21 12:38:11 $
# TODO:
# - pl is corrupted (
# - file /usr/bin/rbqtapi from install of ruby-qt4-qtruby-1.4.10-0.1.pentium4 conflicts with file from package kdebindings-ruby-qt-3.5.9-2.i686
# - complete spec (BRs,...)
# - fix qwt issue

%define		origname	qt4-qtruby
%define		qtver		4.6.3
Summary:	Ruby bindings for the Qt4 GUI library
Summary(pl.UTF-8):	Dowiązania ruby dla biblioteki Qt4 GUI
Name:		ruby-qt4
Version:	2.1.0
Release:	4
License:	GPL v2
Group:		Development/Languages
Source0:	http://rubyforge.org/frs/download.php/71843/%{origname}-%{version}.tar.gz
# Source0-md5:	b1720fd928a6de35b543c6e83d5f1fe0
URL:		http://rubyforge.org/projects/korundum/
BuildRequires:	QtCore-devel >= %{qtver}
BuildRequires:	QtDBus-devel >= %{qtver}
BuildRequires:	QtGui-devel >= %{qtver}
BuildRequires:	QtNetwork-devel >= %{qtver}
BuildRequires:	QtUiTools-devel >= %{qtver}
BuildRequires:	QtWebKit-devel >= %{qtver}
BuildRequires:	QtXml-devel >= %{qtver}
BuildRequires:	cmake >= 2.8.0
BuildRequires:	qscintilla2-devel
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.277
BuildRequires:	ruby-devel
BuildConflicts:	qwt-devel
%{?ruby_mod_ver_requires_eq}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ruby bindings for the Qt4 GUI library.

%description -l pl.UTF-8
Dowiązania ruby dla biblioteki Qt4 GUI.

%package devel
Summary:	Ruby bindings development files for Qt4 GUI
Summary(pl.UTF-8):	Pliki nagĹ~BĂłwkowe dowiązań ruby dla Qt4 GUI
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Ruby bindings development files for Qt4 GUI.

%description devel -l pl.UTF-8
Pliki nagĹ~BĂłwkowe dowiązań ruby dla Qt4 GUI.

%prep
%setup -q -n %{origname}-%{version}

%build
install -d build
cd build
%cmake \
	-DCMAKE_INSTALL_PREFIX="%{_prefix}" \
	-DRUBY_EXECUTABLE="%{__ruby}" \
	-DCMAKE_VERBOSE_MAKEFILE=1 \
%if "%{_lib}" == "lib64"
	-DLIB_SUFFIX=64 \
%endif
	../

%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/rbqtapi
%attr(755,root,root) %{_bindir}/rbrcc
%attr(755,root,root) %{_bindir}/rbuic4
%attr(755,root,root) %{_bindir}/smokeapi
%attr(755,root,root) %{_bindir}/smokegen
%attr(755,root,root) %{_libdir}/libcppparser.so
%attr(755,root,root) %ghost %{_libdir}/libqtruby4shared.so.?
%attr(755,root,root) %{_libdir}/libqtruby4shared.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsmokebase.so.?
%attr(755,root,root) %{_libdir}/libsmokebase.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsmokeqtcore.so.?
%attr(755,root,root) %{_libdir}/libsmokeqtcore.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsmokeqtdbus.so.?
%attr(755,root,root) %{_libdir}/libsmokeqtdbus.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsmokeqtgui.so.?
%attr(755,root,root) %{_libdir}/libsmokeqtgui.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsmokeqtnetwork.so.?
%attr(755,root,root) %{_libdir}/libsmokeqtnetwork.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsmokeqtopengl.so.?
%attr(755,root,root) %{_libdir}/libsmokeqtopengl.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsmokeqtscript.so.?
%attr(755,root,root) %{_libdir}/libsmokeqtscript.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsmokeqtsql.so.?
%attr(755,root,root) %{_libdir}/libsmokeqtsql.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsmokeqtsvg.so.?
%attr(755,root,root) %{_libdir}/libsmokeqtsvg.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsmokeqttest.so.?
%attr(755,root,root) %{_libdir}/libsmokeqttest.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsmokeqtuitools.so.?
%attr(755,root,root) %{_libdir}/libsmokeqtuitools.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsmokeqtwebkit.so.?
%attr(755,root,root) %{_libdir}/libsmokeqtwebkit.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsmokeqtxml.so.?
%attr(755,root,root) %{_libdir}/libsmokeqtxml.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsmokeqtxmlpatterns.so.?
%attr(755,root,root) %{_libdir}/libsmokeqtxmlpatterns.so.*.*.*
%dir %{_libdir}/smokegen
%attr(755,root,root) %{_libdir}/smokegen/generator_dump.so
%attr(755,root,root) %{_libdir}/smokegen/generator_smoke.so
%{_datadir}/smokegen

%{ruby_sitelibdir}/Qt.rb
%{ruby_sitelibdir}/Qt3.rb
%{ruby_sitelibdir}/Qt4.rb
%attr(755,root,root) %{ruby_sitearchdir}/qtruby4.so
%attr(755,root,root) %{ruby_sitearchdir}/qtscript.so
%attr(755,root,root) %{ruby_sitearchdir}/qttest.so
%attr(755,root,root) %{ruby_sitearchdir}/qtuitools.so
%attr(755,root,root) %{ruby_sitearchdir}/qtwebkit.so
%dir %{ruby_sitelibdir}/Qt
%{ruby_sitelibdir}/Qt/active_item_model.rb
%{ruby_sitelibdir}/Qt/active_table_model.rb
%{ruby_sitelibdir}/Qt/qtruby4.rb
%dir %{ruby_sitelibdir}/qtscript
%{ruby_sitelibdir}/qtscript/qtscript.rb
%dir %{ruby_sitelibdir}/qttest
%{ruby_sitelibdir}/qttest/qttest.rb
%dir %{ruby_sitelibdir}/qtuitools
%{ruby_sitelibdir}/qtuitools/qtuitools.rb
%dir %{ruby_sitelibdir}/qtwebkit
%{ruby_sitelibdir}/qtwebkit/qtwebkit.rb

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libqtruby4shared.so
%attr(755,root,root) %{_libdir}/libsmokebase.so
%attr(755,root,root) %{_libdir}/libsmokeqtcore.so
%attr(755,root,root) %{_libdir}/libsmokeqtdbus.so
%attr(755,root,root) %{_libdir}/libsmokeqtgui.so
%attr(755,root,root) %{_libdir}/libsmokeqtnetwork.so
%attr(755,root,root) %{_libdir}/libsmokeqtopengl.so
%attr(755,root,root) %{_libdir}/libsmokeqtscript.so
%attr(755,root,root) %{_libdir}/libsmokeqtsql.so
%attr(755,root,root) %{_libdir}/libsmokeqtsvg.so
%attr(755,root,root) %{_libdir}/libsmokeqttest.so
%attr(755,root,root) %{_libdir}/libsmokeqtuitools.so
%attr(755,root,root) %{_libdir}/libsmokeqtwebkit.so
%attr(755,root,root) %{_libdir}/libsmokeqtxml.so
%attr(755,root,root) %{_libdir}/libsmokeqtxmlpatterns.so
%{_includedir}/smoke.h
%{_includedir}/smoke
%{_includedir}/smokegen
%{_includedir}/qtruby

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ruby-qt4.spec,v $
Revision 1.18  2010/08/21 12:38:11  glen
- use ruby dir macros (adapter dude!)
- executable bits for ruby shared libs; rel 4

Revision 1.17  2010/08/04 16:50:27  shadzik
- wildcard version of ruby..

Revision 1.16  2010/08/04 16:41:50  shadzik
- %dir
- rel 2

Revision 1.15  2010/08/04 16:35:28  shadzik
- rel 1

Revision 1.14  2010/08/04 16:35:10  shadzik
- cleanup

Revision 1.13  2010/08/04 16:34:46  shadzik
- files

Revision 1.12  2010/08/04 16:19:48  shadzik
- fix build
- still NFY

Revision 1.11  2010/08/04 16:05:51  shadzik
- 2.1.0
- NFY, rel 0.1

Revision 1.10  2009/10/04 14:49:45  shadzik
- rel 6
- to rebuild with new qscintilla

Revision 1.9  2009/09/05 19:09:45  arekm
- release 5

Revision 1.8  2009/09/05 13:48:03  adamg
- release 4 (rebuild against qscintilla 2.4)

Revision 1.7  2009/02/04 21:33:40  hawk
- release 3

Revision 1.6  2009/01/09 12:00:05  shadzik
- updated BRs
- rel 2

Revision 1.5  2009/01/05 19:04:32  glen
- renamed from ruby-qt4-qtruby

Revision 1.4  2008/11/28 12:38:54  shadzik
- add -devel subpackge (not sure of there should be more files, for now there's just a symlink)
- descriptions
- rel 1

Revision 1.3  2008/11/28 11:58:51  shadzik
- verbose files
- no devel files in main package please

Revision 1.2  2008/11/14 17:17:14  cactus
- lib64 patch
- rel 0.2

Revision 1.1  2008/08/17 17:56:38  twittner
- added

